#ifndef LABELCONTAINER_H
#define LABELCONTAINER_H

#include "customlabel.h"
#include <QLineEdit>
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QVector>

#include <QWidget>

class labelContainer : public QWidget
{
    Q_OBJECT
public:
    explicit labelContainer(QWidget *parent = nullptr);

signals:

public slots:
    void popup(const QColor& c);
    void hidePopup();

private:
    void initObjects();
    void initLayout();
    QLabel* mLbl;
    QLineEdit* mLineEdit;
    QVector<customLabel*> mCustomLblVec;

    QLabel* popupLabel;
};

#endif // LABELCONTAINER_H
